RuntimeException Class Reference

    RuntimeException is the parent class of those exceptions that can be

thrown during the normal operation of the process. More...

Inherits Exception.

Inherited by DOMException, IllegalArgumentException, and NullPointerException.

## Public Member Functions

| RuntimeException (log4cxx_status_t stat)
| RuntimeException (const LogString &msg)
| RuntimeException (const RuntimeException &msg)
RuntimeException & | operator= (const RuntimeException &src)
Public Member Functions inherited from Exception
| Exception (const char *msg)
| Exception (const LogString &msg)
| Exception (const Exception &src)
Exception & | operator= (const Exception &src)
const char * | what () const throw ()

## Detailed Description

    RuntimeException is the parent class of those exceptions that can be

thrown during the normal operation of the process.

## Constructor & Destructor Documentation

RuntimeException | ( | log4cxx_status_t | stat | ) |

RuntimeException | ( | const LogString & | msg | ) |

RuntimeException | ( | const RuntimeException & | msg | ) |

## Member Function Documentation

RuntimeException& operator= | ( | const RuntimeException & | src | ) |

The documentation for this class was generated from the following file:

- exception.h